summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-08-22 01:51:01 +0200
committermakefu <github@syntax-fehler.de>2013-08-22 01:51:01 +0200
commit0525038926bfc3bfc38bf2e1fd24cfd73f4ee8e4 (patch)
treea099f884d2bcbc101ecd8a4673a2b0586c516128
parent5509054c698b0111215067fb568716eab487c880 (diff)
add naturalvoices3.sh -> now with more evasion
-rwxr-xr-xutil/bin/naturalvoices3.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/util/bin/naturalvoices3.sh b/util/bin/naturalvoices3.sh
new file mode 100755
index 00000000..6085e511
--- /dev/null
+++ b/util/bin/naturalvoices3.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+text=$(echo $* | sed 's/ /+/g')
+voice="klara"
+base_url="http://192.20.225.36"
+
+TMPFILE=`mktemp`
+trap "rm $TMPFILE" TERM INT EXIT
+
+ wget $base_url$( curl -Ss -H 'Host:192.20.225.36' -H 'Origin:http://www2.research.att.com' -e "http://www2.research.att.com/~ttsweb/tts/demo.php" -A "Mozilla/5.0 (X11; Linux x86_64; rv:23.0) Gecko/20100101 Firefox/23.0" -d "voice=$voice" -d "txt=$text" -d "speakButton=SPEAK" -H 'Accept:text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8' $base_url/tts/cgi-bin/nph-nvttsdemo | grep HREF|sed 's/.*\(".*"\).*/\1/' |sed -e 's/"//g' ) -O $TMPFILE
+aplay $TMPFILE